import { NewsCollectionModel } from './news/index.ts';
import { ServicesCollectionModel } from './services/index.ts';
import { ServiceCategoryCollectionModel } from './admin/index.ts';

class RootStore {
  news = new NewsCollectionModel();
  services = new ServicesCollectionModel();
  adminServiceCategories = new ServiceCategoryCollectionModel();
}

export type RootStoreType = RootStore;

export const rootStore = new RootStore();
